リストを更新する
curl --request PUT \
--url https://api.x.com/2/lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"private": true
}
'import requests
url = "https://api.x.com/2/lists/{id}"
payload = {
"description": "<string>",
"name": "<string>",
"private": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', name: '<string>', private: true})
};
fetch('https://api.x.com/2/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"updated": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}リストの管理
リストを更新する
認証済みユーザーが所有する特定のリストを、IDを指定して更新します。
PUT
/
2
/
lists
/
{id}
リストを更新する
承認
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
変更するリストのID。 このリストの一意の識別子。
Pattern:
^[0-9]{1,19}$例:
"1146654567674912769"
ボディ
application/json
レスポンス
リクエストは成功しました。
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I